Subject: bind 4.9 beta instructions
From: Fuat Baran <[email-masked]>
To: vixie (Paul A Vixie)
Cc: [email-masked]
Date: Tue, 19 Jan 93 14:45:38 EST

Since it is almost time for the Beta announcement for BIND 4.9, I
thought I'd let you know how I compile BIND under AIX, in case you
want to add compilation instructions.  (I'm assuming you'll resolve
the business of LIBC=/usr/lib/libc.a vs /lib/libc.a which cropped up
in the latest alpha.)

1) Make sure you have bsdcc configured (see also: /usr/lpp/bos/bsdport):
	a) link /bin/xlc to /bin/bsdcc
	b) add the following stanza to near the end of /etc/xlc.cfg
	   before the DEFLT stanza:

* BSD compatibility
bsdcc:	use	   = DEFLT
	crt	   = /lib/crt0.o
	mcrt	   = /lib/mcrt0.o
	gcrt	   = /lib/gcrt0.o
	libraries  = -lbsd, -lc
	proflibs   = -L/lib/profiled,-L/usr/lib/profiled
	options    = -H512,-T512,-qlanglvl=extended,-qnoro,-D_BSD,-D_NONSTD_TYPES,-D_NO_PROTO,-D_BSD_INCLUDES,-bnodelcsect,-U__STR__,-U__MATH__

2) In the top level bind directory:
	make CC="bsdcc -DBSD=43" all

Note: If you prefer, you can either add a "-DBSD=43" to the bsdcc
stanza (in the options section), or create a similar stanza with it
(e.g. call it bsdcc43 and make the symlink to /bin/bsdcc43).  Then you
can do a "make CC=bsdcc43" instead.

						--Fuat